Loading...
Searching...
No Matches
fru_chassis_t Struct Reference
Information areas » Chassis Information Area

The exploded representation of chassis info area. More...

`#include <fru.h>`

Collaboration diagram for fru_chassis_t:
[legend]

## Data Fields

uint8_t | type
| Chassis type as per SMBIOS specification.
fru_field_t | pn
| Part Number.
fru_field_t | serial
| Serial Number.
fru_custom_t | cust
| List of custom fields.

## Detailed Description

The exploded representation of chassis info area.

Contains fields as per IPMI FRU Specification Table 10-1, in their decoded state

## Field Documentation

## cust

fru_custom_t fru_chassis_t::cust

List of custom fields.

## pn

fru_field_t fru_chassis_t::pn

Part Number.

## serial

fru_field_t fru_chassis_t::serial

Serial Number.

## type

uint8_t fru_chassis_t::type

Chassis type as per SMBIOS specification.

The documentation for this struct was generated from the following file:

- fru.h